package com.yuchen.saas.park.api.vo.responsevo;

import com.thinkunion.sdk.iot.bean.BaseResponse;
import lombok.Data;

/**
 * @author 刘通
 * @date 2020/12/25 1:03
 */
@Data
public class ResponseVo extends BaseResponse {
    private String code;
    private String message;
    private Object data;

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return "ResponseVo{" +
                "code='" + code + '\'' +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }
}
